#include <stdio.h> 
#include <stdlib.h> 
#include <direct.h>
 
int main () 
{ 
    if (!_chdir ("C:/dev/TCm/v1/Win32Debug") == 0) return (1);

	FILE* f = _popen ("dumpbin /symbols tcmlib.lib", "r"); 
	if (f == NULL) 
	{ 
		printf ("rate\n"); 
	} 
	else 
	{ 
		char line[256]; 
		char* ptr; 
 
		printf ("ok\n"); 
 
		while ((ptr = fgets (line, sizeof (line), f)) != NULL) 
		{ 
			printf ("> %s\n", line); 
		} 
		printf ("ok\n"); 
		_pclose (f); 
	}

	return (0);
} 
